##################################################################
# Multipath.conf file for IBM Storage 
#
# Version 1.0
#
# Please refer to the default "multipath.conf.annotated" file, which
# comes with the SLES10 DM MPIO package, for other setting parameters.
# The annotated file can be found at /usr/share/doc/packages/multipath-tools.
#
# IMPORTANT: If you change multipath.conf settings after the DM MPIO devices
# have already been configured, be sure to rerun "multipath".
##################################################################
#
#
# defaults:
#
# 	polling_interval   : The interval between two path checks in seconds.
#
# 	failback	   : The failback policy should be set to "immediate"
#			     to have automatic failback, i.e. if a higher
# 			     priority path that previously failed is restored, 
#			     I/O automatically and immediately fails back to 
#			     the preferred path.
#
#	no_path_retry      : Use this setting in order to deal with transient total 
#   			     path failure scenarios. Indicates that the if all
# 			     paths are failed for 10 checks (iterations of the checkerloop) then
# 			     will set the device to .fail_if_no_path. so that I/O will not stay
# 			     queued forever and I/O errors are returned back to the
# 			     application. This value should be adjusted based on the value of the
# 			     polling_interval. Basically, with a larger polling_interval, this
# 			     means that the amount of time of allowed total path failure will be
# 			     longer, since the tolerance time is (no_path_retry * polling_interval)
# 			     seconds. SHOULD NOT BE USED WITH .features..
#
#	rr_min_io	   : The number of IOs to route to a path before switching
#			     to the next path in the same path group
#
#	path_checker	   : The default 'readsector0' path checker uses SCSI READ (opcode 0x28)
# 			     which doesn't work in clustered environments. TUR (Test Unit Ready) does work in
# 			     clustered environments with storage that subscribes to the SCSI-3
# 			     spec.
#
# 	user_friendly_names: With this value set to .yes., DM MPIO devices will be named as .mpath0.,
#			     .mpath1., .mpath2., etc. ... The /var/lib/mulitpath/bindings file is 
#			     automatically generated, mapping the .mpathX. name to the wwid of the LUN.
#			     If set to "no", use the WWID as the alias. In either case this be will be overriden 
#			     by any specific aliases in this file.
#
#
defaults {	
        polling_interval    30 		
        failback            immediate
        no_path_retry       5
        rr_min_io           100
        path_checker        tur
        user_friendly_names yes 	
}

#
# An example of blacklisting a local SCSI disk.
# Here a local disk with wwid SIBM-ESXSMAN3184MC_FUFR9P29044K2 is 
# blacklisted and will not appear when "multipath -l(l)" is invoked.
#
#
#blacklist {
#	wwid SIBM-ESXSMAN3184MC_FUFR9P29044K2
#}

#
# An example of using an alias. 
# NOTE: this will override the "user_friendly_name" for this LUN.
#
# Here a LUN from IBM storage with wwid 3600507630efffe32000000000000120a
# is given an alias of "IBM-1750" and will appear as "IBM-1750 
#(3600507630efffe32000000000000120a)", when "multipath -l(l)" is invoked.
#
#
#multipaths {
#	multipath {
#		wwid 3600507630efffe32000000000000120a
#		alias IBM-1750
#	}
#}

#
#  devices 		: List of per storage controler settings, overrides default 
#			  settings (device_maps block), overriden by per multipath 
#			  settings (multipaths block)
#
#  vendor		: Vendor Name
#
#  product		: Product Name
#
#  path_grouping_policy : Path grouping policy to apply to multipath hosted
#			  by this storage controller
#
#  prio_callout		: The program and args to callout to obtain a path 
#			  weight. Weights are summed for each path group to
#			  determine the next PG to use case of failure.
#			  NOTE: If no callout then all paths have equals weight.
#
#
devices {
# DS6000 
       device {
               vendor                   "IBM"
               product                  "1750500"
               path_grouping_policy     group_by_prio
               prio_callout             "/sbin/mpath_prio_alua /dev/%n"
       }
# DS8000
       device {
               vendor                   "IBM"
               product                  "2107900"
               path_grouping_policy     group_by_serial
       }
}
